[**@rxap/forms v19.1.0**](../README.md)

***

[@rxap/forms](../globals.md) / ValidatorFn

# Type Alias: ValidatorFn()\<T, E\>

> **ValidatorFn**\<`T`, `E`\>: (`control`) => [`ValidationErrors`](ValidationErrors.md)\<`E`\> \| `null`

Defined in: [packages/angular/forms/src/lib/types.ts:16](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/angular/forms/src/lib/types.ts#L16)

## Type Parameters

• **T** = `any`

• **E** = `any`

## Parameters

### control

[`AbstractControl`](../interfaces/AbstractControl.md)\<`T`\>

## Returns

[`ValidationErrors`](ValidationErrors.md)\<`E`\> \| `null`
